=== debian/changelog ===
brltty (5.3.1-2ubuntu2.1) xenial; urgency=medium

  * Update to restore BrlTTY auto/udev start functionality (LP: #1574538)
    - Re-add previously dropped udev rules to the BrlTTY package.
    - Create a systemd service to be used in the udev rules to launch BrlTTy
      when a display is connected.
    - Modify the existing BrlTTy service to be of type simple, so that the
      shell evaluation of /etc/default/brltty works, and the daemon stays
      running.
      - Modify the udev rules file to use the new brltty-udev service
  * Update gbp.conf for xenial branch

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Apr 2016 10:35:13 +0200

brltty (5.3.1-2ubuntu2) xenial; urgency=medium

  * debian/rules: Call dh_installinit with --no-start, since we only use
    systemd, and to minimize possible rc.d issues on upgrade (LP: #1568137)

  [ Samuel Thibault ]
  * Make initramfs-tools dependency linux-only. LP: #1567658.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Apr 2016 09:42:59 +1000

brltty (5.3.1-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.
    - debian/brltty.service: Respect disabling of brltty in the /etc/default
      file. Turn this into a "Type=simple" job by running in the foreground so
      that the unit can tell apart "disabled" from "running".
  * debian/rules: Drop udev rules file, systemD and udev conflict, and cause
    brltty to malfunction

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 08 Apr 2016 15:55:55 +1000

brltty (5.3.1-2) unstable; urgency=high

  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * control: Build-depend on libsystemd-dev on linux-any (Closes: Bug#818241).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Mar 2016 01:36:39 +0100

brltty (5.3.1-1ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:12 +0000

brltty (5.3.1-1ubuntu2) xenial; urgency=medium

  * Fix unbalanced quote in debian/brltty.service that was causing syntax
    errors and preventing a successful install or remove.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 11 Jan 2016 19:47:16 -0700

brltty (5.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      usplash starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules and /lib/brltty/brltty.sh to the normal (non-udeb)
      package as well.
    - Enable brltty if /etc/default/brltty has RUN_BRLTTY=yes, which is set
      by the installer if brltty is configured; add a NEWS entry for
      upgraders.
    - Don't install /etc/brltty.conf in the package
    - Install udev rules with the same name (85-brltty.rules) in the udeb as
      in the deb.
    - Remove the dh-lisp build-dependency, remove the cl-brlapi package, and
      adjust the brltty package description accordingly. dh-lisp is not
      in main.
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Create separate rules file for the brltty deb, with the rules now
      pointing to a separate script
    - Add gbp.conf file for git buildpackage
    - Do not build the at-spi driver, the legacy at-spi stack is no longer in
      the archive.
    - Drop explicit build dependency on tcl8.4.
    - debian/brltty.service: Respect disabling of brltty in the /etc/default
      file. Turn this into a "Type=simple" job by running in the foreground so
      that the unit can tell apart "disabled" from "running".

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 12 Jan 2016 09:44:27 +1100

brltty (5.3.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * brltty-udeb.sh: Preseed installing MATE desktop by default when brltty is
    used in d-i.
  * watch: Generalize URL.
  * Disable auto-detection of Cebra, Albatross, and BrailleMemo devices in the
    Debian Installer, since they are rare and conflict with other devices
    (Closes: #782732).
  * patches/git-18c9b3f: New patch to fix xbrlapi looping when brltty shuts
    down.
  * rules:
    - Remove /lib/$DEB_HOST_MULTIARCH/libbrlapi.so, link directly
    libbrlapi from /lib to /usr/lib (Closes: #766810).
    - Make binary-indep depend on brltty to actually install the binary-indep
    files (Closes: #805938).
  * brltty-udeb.prebaseconfig:
    - Enable screen reader in KDE.
    - Support 4th bootline parameter.
  * patches/git-8229038: New patch to add 4th bootline parameter support.

