=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=brltty
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
BRLAPI_VERSION=0.6
CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# java is not supported by m68k (200712)
ifeq ($(DEB_HOST_ARCH),m68k)
export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
DISABLE_JAVA_SUPPORT=1
endif

PYDEFAULTVER := $(shell pyversions --default --version)
PYVERS := $(shell pyversions --requested --version debian/control)
PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)

CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
		    --without-viavoice --without-theta --without-swift

DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping

DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
	contracted-braille api pm-configfile gpm iconv icu x
UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
	--without-init-path --without-curses \
	--with-bluetooth-package=none \
	--with-service-package==none \
	$(patsubst %,--disable-%,$(UDEB_DISABLE))
UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_OPTIONS+=--without-usb-package
endif

export JAVA_HOME=/usr/lib/jvm/default-java

PATH := $(JAVA_HOME)/bin:$(PATH)

binary: binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	-mv $(CURDIR)/configure.orig $(CURDIR)/configure
	rm -f build-*stamp
	rm -rf build-brltty* build-py*
	rm -f Bindings/Python/bindings.o
	rm -f acdir/config.sub
	rm -f acdir/config.guess
	rm -f configure
	rm -f debian/initramfs/hooks/brltty
	rm -f Documents/BrlAPIref/html/jquery.js

	dh_clean

acdir/config.sub: /usr/share/misc/config.sub 
	cp -f $< $@
acdir/config.guess: /usr/share/misc/config.guess
	cp -f $< $@

configure:
	./autogen

config: build-brltty/config.status
build-brltty/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty
	cd build-brltty && ../configure --disable-python-bindings \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-python: $(PYVERS:%=build-py%/config.status)
build-py%/config.status:
	mkdir -p build-py$*
	cd build-py$* && \
	PYTHON=/usr/bin/python$* ../configure \
		$(CONFIGURE_OPTIONS) \
		$(DEB_CONFIGURE_OPTIONS)

config-udeb: build-brltty-udeb/config.status
build-brltty-udeb/config.status: configure acdir/config.sub acdir/config.guess
	mkdir build-brltty-udeb
	cd build-brltty-udeb && \
	CFLAGS="$(UDEB_CFLAGS)" ../configure \
		$(CONFIGURE_OPTIONS) \
		$(UDEB_CONFIGURE_OPTIONS)

build-arch: build-brltty build-udeb
build-indep: build-arch build-python
build: build-indep build-arch

build-brltty: build-stamp
build-stamp: config
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
	$(MAKE) -C build-brltty/Documents

	# doxygen inserts the current time into all the man-pages it creates without
	# a possibility to turn that off (AFAICT). So replacing the date with something
	# more reasonable: the timestamp of the last Debian changelog entry.
	# Closes: http://bugs.debian.org/708585
	sed --in-place -e \
		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C date --date='$(CL_DATE)' +'%a %b %d %Y')\2/" \
		build-brltty/Documents/BrlAPIref/man/man3/*

	# Likewise, make sure that the html does not contain the version number of
	# LinuxDoc-Tools to at least have a lot higher chance of the files being the
	# same.
	find build-brltty -name '*.html' -exec sed --in-place -e \
		's/\(<META NAME="GENERATOR" CONTENT="LinuxDoc-Tools\)[^>]*>/\1">/' \
		{} +

	touch $@

build-python: config-python $(PYVERS:%=build-py%-stamp)
build-py%-stamp: config-python
	dh_testdir

	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python

	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp: config-udeb
	dh_testdir

	$(MAKE) -C build-brltty-udeb

	touch $@

# Build architecture-independent files here.
binary-indep: brltty

# Build architecture-dependent files here.
binary-arch: brltty brltty-udeb

brltty: build-brltty build-python
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C build-brltty install INSTALL_ROOT=`pwd`/debian/tmp
	set -e ; for pyver in $(PYVERS); do \
		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
	done

	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv `pwd`/debian/tmp/lib/libbrlapi* `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	rm -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	test -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION)
	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
	dh_install	
	chmod +x debian/$@/usr/share/initramfs-tools/hooks/brltty
	chmod +x debian/$@/etc/brltty/Contraction/latex-access.ctb
	dh_installdocs
	dh_installexamples -p$@
	for file in Drivers/Braille/*/README*; \
		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
		done
	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
	dh_systemd_enable -p$@
	dh_systemd_enable -p$@ --name=brltty-udev debian/brltty-udev.service
	# -r because we don't want to lose the console on an upgrade
	dh_installinit -p$@ --no-start
	# and likewise for systemd
	dh_systemd_start -p$@ --restart-after-upgrade
	dh_installchangelogs Documents/ChangeLog
	dh_installman
	dh_lintian
	dh_python2 -ppython-brlapi
	dh_python3 -ppython3-brlapi
	mv debian/brltty/lib/brltty/libbrlttysfl.so \
		debian/brltty-flite/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyssd.so \
		debian/brltty-speechd/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttyses.so \
		debian/brltty-espeak/lib/brltty
	mv debian/brltty/lib/brltty/libbrlttybxw.so \
		debian/brltty-x11/lib/brltty
	mkdir -p debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/etc/brltty/Input/xw/all.txt \
		debian/brltty-x11/etc/brltty/Input/xw
	mv debian/brltty/usr/share/doc/brltty/XWindow.README \
		debian/brltty-x11/usr/share/doc/brltty-x11/
	mv debian/brltty/lib/brltty/libbrlttyxa2.so \
		debian/brltty-x11/lib/brltty
ifneq ($(DISABLE_JAVA_SUPPORT),1)
	mv debian/tmp/usr/share/java/brlapi.jar \
		debian/libbrlapi-java/usr/share/java
	chmod 0644 debian/libbrlapi-java/usr/share/java/brlapi.jar
endif
	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
	dh_compress
	dh_fixperms
	dh_makeshlibs -n -p$@
	dh_makeshlibs -a -Nbrltty-udeb
	dh_installdeb -a -i -Nbrltty-udeb
	dh_shlibdeps -a -Nbrltty-udeb
	dh_gencontrol -a -i -Nbrltty-udeb
	dh_md5sums -a -i -Nbrltty-udeb
	dh_builddeb -a -i -Nbrltty-udeb

brltty-udeb: build-udeb
	dh_testdir
	dh_testroot
	dh_installdirs -pbrltty-udeb

	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb

	# temporary fix
	rm -Rf debian/brltty-udeb/share
	rm -Rf debian/brltty-udeb/usr/include
