=== debian/watch ===
version=3
http://brltty.com/archive/ brltty-([0-9.]+)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) debian uupdate
