## brltty 5.4

=== Android/Core/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # BRLTTY - A background process providing access to the console screen (when in
 #          text mode) for a blind person using a refreshable braille display.
 #
-# Copyright (C) 1995-2015 by The BRLTTY Developers.
+# Copyright (C) 1995-2016 by The BRLTTY Developers.
 #
 # BRLTTY comes with ABSOLUTELY NO WARRANTY.
 #
