=== debian/changelog ===
brltty (5.4-7~bpo8+1) jessie-backports; urgency=medium

  * Upload to jessie-backports.
    - Revert daemon start notification to Jessie version.
  * Rules: disable format hardening for python build, it is set wrongly and
    FTBFS on Jessie.
  * Revert to espeak.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Mar 2017 13:38:56 +0100

brltty (5.4-7) unstable; urgency=medium

  * git-vario-ultra-restart.patch: Fix baum driver restarting when typing too
    fast on Vario Ultra device (Closes: Bug#857558).
  * disable-synth-callback.patch: Disable synth callback from espeak-ng to
    avoid crashes (Closes: Bug#854295).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 15:31:57 +0100

brltty (5.4-6) unstable; urgency=medium

  * patches/xbrlapi-nospam.patch: Prevent xbrlapi from retrying to connect to
    brltty when it failed at startup (Closes: Bug#851623).
  * Use canonical anonscm vcs URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jan 2017 03:10:25 +0100

brltty (5.4-4) unstable; urgency=medium

  [team upload]
  * start brltty only if all keyboards have been detected (Closes: #848008)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 13 Dec 2016 07:35:37 +0100

brltty (5.4-3) unstable; urgency=medium

  * patches/git-braillenote.patch: Upstream patch to fix USB autodetection of
    BrailleNote.
  * patches/git-manufacturer.patch: Upstream patch to use USB manufacturer to
    match braille devices with a generic USB ID, to avoid taking control of
    unrelated devices.
  * brltty-udeb.udev.rules: Match USB manufacturers too.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Nov 2016 21:33:59 +0100

brltty (5.4-2) unstable; urgency=medium

  * org.a11y.brltty.metainfo.xml: Fix hexadecimal case (Closes: Bug#837640).
  * patches/{git-speech-crash.patch,wait-polkit,xbrlapi-setfocus.patch,
    xbrlapi.patch}: Refresh to actual upstream commit.
  * brltty-udeb.prebaseconfig: Add support for LXQt.
  * control: Switch to espeak-ng.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Nov 2016 00:42:06 +0100

brltty (5.4-1) unstable; urgency=low

  * Upload to unstable
  * control: Update Uploaders (Closes: Bug#840859).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Oct 2016 23:41:16 +0200

brltty (5.4-1~3) experimental; urgency=medium

  * patches/xbrlapi-setfocus.patch: Fix flush on xbrlapi setfocus.
  * 60xbrlapi: Fix typo (Closes: Bug#840183).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 13:41:04 +0200

brltty (5.4-1~2) experimental; urgency=medium

  * patches/xbrlapi.patch: Fix spurious brlapi connection reopens.
  * patches/defauth-keyfile.patch: Fix using both polkit and keyfile.
  * patches/defauth-polkit: Default to using both policykit and
    /etc/brlapi.key to authenticate brlapi clients.
  * brltty.postinst: Do not make /etc/brlapi.key readable by world any more,
    polkit should now be enough.
  * brltty.service: Drop filesystem access restrictions, brltty needs to
    access /var/lib/BrlAPI as well as preference files.
  * control: brltty now needs policykit installed.
  * patches/wait-polkit: Wait for policykit startup instead of failing to
    start BrlAPI.
  * NEWS: fix description of adding policykit support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 02:03:48 +0200

brltty (5.4-1~1) experimental; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * brltty-udeb.udev.rules: Add new HumanWare USB ID.
  * brltty.install: Install eutp too.
  * control: Add libpolkit-gobject-1-dev build-dep. Drop hardening-wrapper
    dependency (closes: Bug#836617).
  * rules: Disable polkit from udeb. Set hardening.
  * brltty.install: Install polkit policy.
  * 60xbrlapi: Silence startup warning when brltty is not running.
  * org.a11y.brltty.metainfo.xml: Add appstream meta-info for isenkram
    (Closes: Bug#837640).
  * patches/git-speech-crash.patch: New upstream patch to fix crash when sd
    module set but speech-dispatcher not running (Closes: Bug#838764).
    Thanks Sebastian Humenda for the report.
  * rules: Fix some non-reproducibility by calling dh_strip_nondeterminism.
  * git-lsystemd.patch: Fix build with libsystemd.
  * patches/defauth-polkit: Default to using policykit to authenticate brlapi
    clients instead of /etc/brlapi.key.

  [ Mario Lang ]
  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Wed, 29 Jun 2016 16:30:01 +0200

brltty (5.3.1-3) unstable; urgency=high

  [ Samuel Thibault ]
  * brltty-udeb.postinst: Only preseed installing MATE desktop by default when
    brltty is really running.

  [ Cyril Brulebois ]
  * Bump urgency to high for the upcoming D-I Stretch Alpha 6 release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 19 May 2016 21:12:24 +0200
