=== debian/rules ===
--- 
+++ 
@@ -19,15 +19,16 @@
 PYVERS := $(shell pyversions --requested --version debian/control)
 PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER) $(shell py3versions --supported --version)
 
+HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"
+
 CONFIGURE_OPTIONS = --bindir=/sbin --mandir=/usr/share/man \
 		    --without-viavoice --without-theta --without-swift
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
-DEB_CFLAGS= -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
-UDEB_CFLAGS=-Os -fomit-frame-pointer $(DEB_CFLAGS)
+UDEB_CFLAGS=-Os -fomit-frame-pointer
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
-	contracted-braille api pm-configfile gpm iconv icu x
+	contracted-braille api gpm iconv icu x polkit
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
 	--without-init-path --without-curses \
@@ -43,14 +44,11 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
-PATH := $(JAVA_HOME)/bin:$(PATH)
-
 binary: binary-indep binary-arch
 
 clean:
 	dh_testdir
 	dh_testroot
-	-mv $(CURDIR)/configure.orig $(CURDIR)/configure
 	rm -f build-*stamp
 	rm -rf build-brltty* build-py*
 	rm -f Bindings/Python/bindings.o
@@ -73,7 +71,9 @@
 config: build-brltty/config.status
 build-brltty/config.status: configure acdir/config.sub acdir/config.guess
 	mkdir build-brltty
-	cd build-brltty && ../configure --disable-python-bindings \
+	cd build-brltty && \
+		$(HARDENING) \
+		../configure --disable-python-bindings \
 		$(CONFIGURE_OPTIONS) \
 		$(DEB_CONFIGURE_OPTIONS)
 
@@ -81,7 +81,9 @@
 build-py%/config.status:
 	mkdir -p build-py$*
 	cd build-py$* && \
-	PYTHON=/usr/bin/python$* ../configure \
+	PYTHON=/usr/bin/python$* \
+		$(HARDENING) \
+		../configure \
 		$(CONFIGURE_OPTIONS) \
 		$(DEB_CONFIGURE_OPTIONS)
 
@@ -101,7 +103,7 @@
 build-stamp: config
 	dh_testdir
 
-	DEB_BUILD_HARDENING=1 $(MAKE) -C build-brltty
+	$(MAKE) -C build-brltty
 	$(MAKE) -C build-brltty/Documents
 
 	# doxygen inserts the current time into all the man-pages it creates without
@@ -125,7 +127,7 @@
 build-py%-stamp: config-python
 	dh_testdir
 
-	DEB_BUILD_HARDENING=1 $(MAKE) -C build-py$*/Bindings/Python
+	DEB_BUILD_HARDENING=1 DEB_BUILD_HARDENING_FORMAT=0 $(MAKE) -C build-py$*/Bindings/Python
 
 	touch $@
 
@@ -170,11 +172,9 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
-	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
 	dh_systemd_enable -p$@
-	dh_systemd_enable -p$@ --name=brltty-udev debian/brltty-udev.service
 	# -r because we don't want to lose the console on an upgrade
-	dh_installinit -p$@ --no-start
+	dh_installinit -p$@ -r -- start 25 S .
 	# and likewise for systemd
 	dh_systemd_start -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
@@ -205,6 +205,7 @@
 	cp build-brltty/Documents/brltty.conf debian/brltty/etc/brltty.conf
 	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
+	dh_strip_nondeterminism -a -i -Nbrltty-udeb
 	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
 	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython-brlapi -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
 	dh_compress
@@ -222,9 +223,3 @@
 	dh_testroot
 	dh_installdirs -pbrltty-udeb
 
-	$(MAKE) -C build-brltty-udeb install INSTALL_ROOT=`pwd`/debian/brltty-udeb
-
-	# temporary fix
-	rm -Rf debian/brltty-udeb/share
-	rm -Rf debian/brltty-udeb/usr/include
-
