=== debian/changelog ===
brltty (5.5-4ubuntu2) bionic; urgency=medium

  * Take commit from Debian (Samuel Thibault) to resolve FTBFS on bionic -
    thanks!
    -  debian/patches/41-java-bytecode-compat.patch: Bump java compatability to
       1.6 and later

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 17 Apr 2018 11:46:13 +0100

brltty (5.5-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable (LP: #1741070).  Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
    - Don't install /etc/brltty.conf in the package
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Add gbp.conf file for git buildpackage
  * debian/brltty.sh: Update path /sbin/brltty to /bin/brltty

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 19 Jan 2018 15:32:11 +0100

brltty (5.5-4) unstable; urgency=medium

  * initramfs/hooks/brltty.in, initramfs/scripts/init-premount/brltty: Update
    /sbin/brltty paths.
  * control: Replace dh-systemd build-depends with debhelper (>= 9.20160709)
  * rules: Set DEB_HOST_ARCH only if not defined already.

  [ Mario Lang ]
  * git-ba42441d03c6145fe6859c90fb01b1fa16221a2f: New patch to prevent scancodes
    from generating spurious log messages.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Dec 2017 18:37:26 +0100

brltty (5.5-3) experimental; urgency=medium

  * rules: Let brltty get installed into /bin, so it can be run e.g. in X for
    accessing terminals.
  * brltty.links: Add compatibility symlink in /sbin/brltty.
  * brltty-udeb.dirs, brltty-udeb.sh, brltty.dirs, brltty.init,
    brltty.install, brltty.service, xbrlapi.install, 20-sbin.patch: Update
    accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Oct 2017 22:19:06 +0200

brltty (5.5-2) unstable; urgency=medium

  * Upload to unstable (Closes: #871155)
  * patches/git-07ecca2240c680373e9c2e5e38241edde9d1a677: Apply upstream patch
    to fix finnish table (Closes: Bug#864670).
  * control: Update maintainer mailing list.
  * libbrlapi-dev.install: Also install device-specific brldefs headers
    (Closes: Bug#869972).
  * patches/brldefs-install: Fix installing device-specific brldefs headers.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Oct 2017 22:09:51 +0200

brltty (5.5-1) experimental; urgency=medium

  * git-reproducible.patch: Make the build reproducible, thanks Chris West for
    the patch (Closes: Bug#859959).
  * New upstream release (Closes: #871155)
    - patches/defauth-keyfile.patch, defauth-polkit, git-braillenote.patch,
      git-lsystemd.patch, git-manufacturer.patch, git-reproducible.patch,
      git-speech-crash.patch, git-vario-ultra-restart.patch, wait-polkit,
      xbrlapi-nospam.patch, xbrlapi-setfocus.patch, xbrlapi.patch: Remove
      patches, merged upstream.
    - patches/20-sbin.patch: update patch.
    - org.a11y.brltty.metainfo.xml, 60xbrlapi, xbrlapi.desktop: Remove files,
      merged upstream.
  * patches/api_startup.patch: Fix race between socket setup and select().
  * brltty-udeb.udev.rules: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 May 2017 01:43:35 +0200

brltty (5.4-7ubuntu6) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:52:21 +0000

brltty (5.4-7ubuntu5) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:39:27 +0000

brltty (5.4-7ubuntu4) artful; urgency=medium

  * Backport d/patches/fix-gcc7-ftbfs.patch from upstream to fix ftbfs by
    adding -Wno-format-security to CYTHON_CFLAGS. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 07 Aug 2017 14:47:05 +1200

brltty (5.4-7ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:16 +0000

brltty (5.4-7ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 14:48:14 +1200

brltty (5.4-7ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display
    - Don't install /etc/brltty.conf in the package
    - Enable brltty at startup on the target system if the alternate installer
      is used.
    - Add gbp.conf file for git buildpackage

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Mar 2017 09:12:54 +1100

brltty (5.4-6ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add brltty-setup, installed in both the udeb and the normal system.
    - Add initramfs integration to run brltty-setup if necessary before
      plymouth starts.
    - Add ubiquity integration to propagate any brltty configuration to the
      target system.
    - Add udev rules file that uses brltty-udev.service to activate via systemd
    - Disable brltty.service by default, but enable it if the user configures
      Braille at install time for a non-USB display

