=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: brltty
 Section: admin
-Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/brltty.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/brltty.git
 Homepage: https://brltty.com
-Build-Depends: debhelper (>= 9.20150628), dh-lisp, dh-systemd (>= 1.5), dh-strip-nondeterminism,
+Build-Depends: debhelper (>= 9.20160709), dh-lisp, dh-python, dh-strip-nondeterminism,
                autotools-dev, autoconf, pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
                python-all-dev (>= 2.7~0),
@@ -22,16 +23,16 @@
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-dev
+               libespeak-ng-libespeak-dev
 Build-Conflicts: libatspi-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
 Package: brltty
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1
-Recommends: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1, initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Recommends: python3
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
           console-braille
